RoutesArtifact themes

/artifact-themes

List the artifact themes of the organization and the theme new artifacts get by default

GET
/artifact-themes
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/artifact-themes"
{
  "themes": [
    {
      "id": "string",
      "name": "string",
      "backgroundColor": "string",
      "textColor": "string",
      "accentColor": "string",
      "headingFont": "inter",
      "bodyFont": "inter",
      "codeFont": "jetbrains-mono",
      "createdAt": "string",
      "updatedAt": "string",
      "hasLogo": true
    }
  ],
  "defaultTheme": "string"
}